function onBegin()
	
	disableMovement()
	player.DummyGravity = false
	player.Speed = vector2(0,0)
	wait(1)

	setFlag("woxens_Lucidity_bird1",true)
	wait(0.8)
	setFlag("woxens_Lucidity_bird2",true)
	wait(0.6)
	setFlag("woxens_Lucidity_bird3",true)
	wait(0.3)
	setFlag("woxens_Lucidity_bird4",true)
	wait(1.1)
	setFlag("woxens_Lucidity_bird5",true)
	wait(0.2)

	say("woxens_Lucidity_sfmfall")
	player.DummyGravity = true
	enableMovement()
	player.Speed = vector2(0,480)

end